<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml" ng-app="demo">
    <head>
        <title>Consultorio Online</title>
        <meta charset="utf-8" />
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">        
    </head>
<body class="bg-light">
    <header>
    </header>
    <main class="row m-3" ng-controller="filasCuentas">
        <article class="col-sm"> <!--Angularjs-->
            <section class="m-2 p-3 mx-auto container-md border bg-white">
                <div class="mb-3">
                  <label for="exampleFormControlInput1" class="form-label">Usuario</label>
                  <input type="text" class="form-control" id="exampleFormControlInput1"  value="" ng-model="consulta_usuario"/>
                  <br/>
                  <button type="button" class="btn btn-success" ng-click="consultar()">Consultar</button>
                </div>
            </section>
        </article>
        <article class="col-sm">
            <section class="m-2 p-3 mx-auto container-md border bg-white">
                <table class="table">
                  <thead>
                    <tr>
                      <th scope="col">Login</th>
                      <th scope="col">Clave</th>
                      <th scope="col">Primer Nombre</th>
                      <th scope="col">Segundo Nombre</th>
                      <th scope="col">Primer Apellido</th>
                      <th scope="col">Segundo Apellido</th>
                      <th scope="col">Tipo Id</th>
                      <th scope="col">Identificacion</th>
                      <th scope="col">Perfil Usuario</th>
                      <th scope="col">email</th>
                      <th scope="col">Telefono</th>
                      <th scope="col">Direccion</th>
                      <th scope="col">Ciudad</th>
                      <th scope="col">Pais</th>
                      <!--<th scope="col">Acciones</th>-->
                    </tr>
                  </thead>
                  <tbody>
                    <tr ng-repeat="fila in filas">
                        <td>{{fila.Login}}</td>
                        <td>{{fila.password}}</td>
                        <td>{{fila.Nombre1}}</td>
                        <td>{{fila.Nombre2}}</td>
                        <td>{{fila.Apellido1}}</td>
                        <td>{{fila.Apellido2}}</td>
                        <td>{{fila.tipoId_idTipoId}}</td>
                        <td>{{fila.identificacion}}</td>
                        <td>{{fila.perfilUsuario_idPerfilUsuario}}</td>
                        <td>{{fila.email}}</td>
                        <td>{{fila.telefono}}</td>
                        <td>{{fila.direccion}}</td>
                        <td>{{fila.ciudad}}</td>
                        <td>{{fila.pais}}</td>
                        <!--<td>
                            <button type="button" class="btn btn-success">Editar</button>
                            <button type="button" class="btn btn-danger">Remover</button>
                        </td>-->
                    </tr>
                  </tbody>
                </table>
            </section>
        </article>
    </main>
    <footer>
    </footer>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>
    <script src="js/angular-bootstrap.js" type="text/javascript"></script>
    <script src="js/consulta_usuario.js"></script>
</body>
</html>

